#ifndef DEMOUNIT_INLCUDED
#define DEMOUNIT_INLCUDED

#include "Engine.hh"
#include "OffData.hh"
#include "ExtOffData.hh"

class DemoUnit
{
public:
  DemoUnit(Engine &rTEngine);
  ~DemoUnit(void);

  bool Init(void);

  void TeapotDisplaySingle(float yRotAngle = 0.0);
  void TeapotRotateAboutY(void);

  void TextureDemo(void);

protected:
  Engine &rEngine;

  OffData teapotData;
  ExtOffData texturedData;
};

#endif //DEMOUNIT_INLCUDED
