
#include <iostream>
#include <sstream>

#include "DemoUnit.hh"
#include "XEDriver.hh"
#include "Engine.hh"

using namespace std;

int main(void)
{
  XEDriver xDriver;
  xDriver.CreateRenderContext();

  Engine engine(xDriver);

  DemoUnit demos(engine);

  if( !demos.Init() ) return -1;

  demos.TextureDemo();
  demos.TeapotRotateAboutY();

  return 0;
};
