----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    21:18:10 02/10/2009 
-- Design Name: 
-- Module Name:    reset_sync - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity std_sync is
    Port (
	sig_in	: in	STD_LOGIC;
	sig_out	: out	STD_LOGIC;

	clock		: in	STD_LOGIC;
	reset		: in	STD_LOGIC
	);
end std_sync;

architecture Behavioral of std_sync is

	signal istate_1 : std_logic;
	signal istate_2 : std_logic;
	
begin

	process(clock)
	begin
	if clock = '1' and clock'event then
	if reset = '1' then
		istate_1 <= '0';
		istate_2 <= '0';
		sig_out <= '0';
	else
		sig_out <= istate_2;
		istate_2 <= istate_1;
		istate_1 <= sig_in;
	end if;
	end if;
	end process;
	
end Behavioral;

